Bug 1956883 (CVE-2021-32029) - CVE-2021-32029 postgresql: Memory disclosure in partitioned-table UPDATE ... RETURNING
Summary: CVE-2021-32029 postgresql: Memory disclosure in partitioned-table UPDATE ... ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-32029
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1962777 1963700 1962775 1962776 1962778 1962779 1962783 1962784 1962785 1962813 1963691 1963692 1966218 1966219 1966220 1967310
Blocks: 1956886 1972613 1956885
TreeView+ depends on / blocked
 
Reported: 2021-05-04 15:25 UTC by Michael Kaplan
Modified: 2021-06-16 10:27 UTC (History)
77 users (show)

Fixed In Version: postgresql 13.3, postgresql 12.7, postgresql 11.12
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in postgresql. Using an UPDATE ... RETURNING command on a purpose-crafted table, an authenticated database user could read arbitrary bytes of server memory. The highest threat from this vulnerability is to data confidentiality.
Clone Of:
Environment:
Last Closed: 2021-06-10 15:04:08 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:2446 0 None None None 2021-06-15 16:39:38 UTC
Red Hat Product Errata RHBA-2021:2452 0 None None None 2021-06-15 18:10:19 UTC
Red Hat Product Errata RHSA-2021:2372 0 None None None 2021-06-10 10:07:42 UTC
Red Hat Product Errata RHSA-2021:2375 0 None None None 2021-06-10 11:20:31 UTC
Red Hat Product Errata RHSA-2021:2389 0 None None None 2021-06-14 08:54:08 UTC
Red Hat Product Errata RHSA-2021:2394 0 None None None 2021-06-14 09:17:53 UTC
Red Hat Product Errata RHSA-2021:2396 0 None None None 2021-06-14 09:26:15 UTC

Description Michael Kaplan 2021-05-04 15:25:29 UTC
Using an UPDATE ... RETURNING on a purpose-crafted partitioned table, an
attacker can read arbitrary bytes of server memory.  In the default
configuration, any authenticated database user can create prerequisite objects
and complete this attack at will.  A user lacking the CREATE and TEMPORARY
privileges on all databases and the CREATE privilege on all schemas typically
cannot use this attack at will.

Comment 3 Mauro Matteo Cascella 2021-05-20 15:48:59 UTC
Created mingw-postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1962777]


Created postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1962776]


Created postgresql:11/postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1962775]


Created postgresql:12/postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1962778]


Created postgresql:13/postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1962779]

Comment 10 Mauro Matteo Cascella 2021-06-03 20:08:05 UTC
Upstream advisory:
https://www.postgresql.org/support/security/CVE-2021-32029/

Comment 12 errata-xmlrpc 2021-06-10 10:07:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:2372 https://access.redhat.com/errata/RHSA-2021:2372

Comment 13 errata-xmlrpc 2021-06-10 11:20:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:2375 https://access.redhat.com/errata/RHSA-2021:2375

Comment 14 Product Security DevOps Team 2021-06-10 15:04:08 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-32029

Comment 15 errata-xmlrpc 2021-06-14 08:53:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:2389 https://access.redhat.com/errata/RHSA-2021:2389

Comment 16 errata-xmlrpc 2021-06-14 09:17:43 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:2394 https://access.redhat.com/errata/RHSA-2021:2394

Comment 17 errata-xmlrpc 2021-06-14 09:26:09 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:2396 https://access.redhat.com/errata/RHSA-2021:2396


Note You need to log in before you can comment on or make changes to this bug.